package com.hzjt.mapper;

import com.hzjt.domain.DeviceChannelid;
import com.hzjt.domain.Traffalarmrecord;
import com.hzjt.domain.TraffalarmrecordResult;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.additional.dialect.oracle.InsertListMapper;
import tk.mybatis.mapper.common.BaseMapper;
import tk.mybatis.mapper.common.ConditionMapper;

import java.util.List;

public interface TraffAlarmRecordMapper extends BaseMapper<Traffalarmrecord>, ConditionMapper<Traffalarmrecord>, InsertListMapper<Traffalarmrecord> {

    int updateTraffAlarmRecordUrl(Traffalarmrecord record);

    int updatePushEvent(Traffalarmrecord traffalarmrecord);

    int inserTraffAlarmRecord(Traffalarmrecord traffalarmrecord);

    int selectmax();


    Integer statisTraffalarmrecordstatByDay(String starttime);

}